# typedef PlayerConfigPlayerAutoplayOptionsData

#### package com.turner.top.sdk.core.player.config

Configuration options for auto starting playback

### Properties

###

`forceAds:Null<Bool>`

Determines the auto start behavior for ads:

- false - Default setting, ads require click-to-play from user
- true - Ads will auto start without user interaction with the following caveats:

- Sound will be muted (user interaction required to unmute)
- Player will play inline on iPhone (default behavior is play fullscreen)

Note: currently this option is not working across all platforms. Do not use until issues with Freewheel can be resolved.

Default is false

###

`forceMedia:Null<Bool>`

Determines the auto start behavior for media:

- false - Default setting, content requires click-to-play from user
- true - Content will auto start without user interaction with the following caveats:

- Sound will be muted (user interaction required to unmute)
- Player will play inline on iPhone (default behavior is to play fullscreen)

Default is false

###

`listenForAction:Null<Bool>`

Adds a global click listener which will prepare the video elements in advance:

- true - Default setting, listener will be added and first click will trigger the user action
- false - No listener is added, video elements will not be primed in advance

Default is true

###

`preCheckAutoPlay:Null<Bool>`

When enabled the player will attempt to determine if autoplay is possible before the content is played :

- true - Default setting, checks are performed and autoplay is forced to false if they fail
- false - No checks performed, autoplay strategy proceeds as normal

Default is true